/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.test;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.jpainfo.model.Konto;
import de.jpainfo.model.Kunde;

public class Lesen {

	public static void main(String[] args) throws Exception {

		Provider.select("hibernate");
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("bank");
		EntityManager em = emf.createEntityManager();

		em.getTransaction().begin();


		List<Konto> konten = em.createQuery("Select k from Konto k", Konto.class).getResultList();
		for (Konto konto : konten) {
			System.out.println(konto.getClass().getSimpleName() + " mit Kontonummer " + konto.getKontonummer());
		}
		
		
		Kunde k = em.find(Kunde.class, 1);
		System.out.println("gelesener Kunde: " + k.getNachname());
		for (Konto konto : k.getKonten()) {
			System.out.println("Konto-ID: " + konto.getKontonummer()
					+ ", Klasse: " + konto.getClass().getSimpleName());
		}
		  
		em.getTransaction().commit();

		em.clear();
		emf.close();
	}
}
